=== debian/changelog ===
whitakers-words (0.2020.10.27-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable stack check on arm{el,hf} because of #1096181.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 20 Mar 2025 21:08:08 +0000

whitakers-words (0.2020.10.27-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with gnat-14.
  * Disable compiler error on warnings. Closes: #1067285.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 20 Mar 2025 10:10:16 +0100

whitakers-words (0.2020.10.27-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with gnat-12 and packaging.mk from dh-ada-library/8.1.
  * Set -m gprbuild option and avoid lots of unneeded compilations.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 01 Jan 2023 17:57:33 +0000

whitakers-words (0.2020.10.27-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with gnat-11, debian_packaging-*.mk now depends on buildopts.mk

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 11 May 2022 20:54:24 +0000

whitakers-words (0.2020.10.27-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * No-change rebuild with gnat-10 as default

 -- Graham Inggs <ginggs@debian.org>  Sun, 13 Dec 2020 00:32:36 +0000

whitakers-words (0.2020.10.27-1) unstable; urgency=low

  * Initial release. Closes: 971408
  * This Debian version is based on upstream commit 4571565


 -- Calum McConnell <calumlikesapplepie@gmail.com>  Mon, 02 Nov 2020 18:54:34 -0500
