=== debian/tests/control ===
Test-Command: test/run-tests.sh --prog=whitakers-words --datadir=/usr/share/whitakers-words
