=== debian/watch ===
# Upstream DOES NOT distribute tags.  Any tags present in the
# Salsa repository were added by me, after the fact. 
# As far as I can tell, uscan does not support this, and is
# therefore not usable
